package com.huifu.jh.core.message;

import com.huifu.jh.core.model.GcbPayResponse;
import com.huifu.jh.core.util.XmlUtils;
import com.huifu.jh.core.util.dto.HttpResp;

/**
 * @author fang.wei
 * @Description xml格式响应解析器
 * @createTime 2021年10月17日 22:10:00
 */
public class XmlResponseParser <T extends GcbPayResponse> implements ResponseParser<T> {

    private Class<T> clazz;

    public XmlResponseParser(Class<T> clazz) {
        this.clazz = clazz;
    }

    @Override
    public T parse(HttpResp httpResp) throws Exception {
    	
    	String responseTxt = new String(httpResp.getResponseBody());
    	T response = XmlUtils.toBean(responseTxt, clazz);
    	response.setHttpStatus(httpResp.getHttpStatus());
    	response.setResponseBody(httpResp.getResponseBody());
    	
    	return response;
    }
}