package com.huifu.jh.core.util;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.io.IOUtils;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;

/**
 * 压缩工具类
 */
public class GzipUtils {

	/**
	 * gzip压缩字符串
	 * @param data
	 * @return
	 */
	public static byte[] gzip(byte[] data) throws Exception {
		GZIPOutputStream gzipos = null;
		try {
			ByteArrayOutputStream bos = new ByteArrayOutputStream();
			gzipos = new GZIPOutputStream(bos);
			gzipos.write(data);
			gzipos.finish();
			return bos.toByteArray();
		} finally {
			IOUtils.closeQuietly(gzipos);
		}
	}

	/**
	 * 解压数据
	 * @param data
	 * @return
	 */
	public static byte[] unGzip(byte[] data) throws Exception {
		GZIPInputStream ungzip = null;
		try {
			ByteArrayOutputStream out = new ByteArrayOutputStream();
			ByteArrayInputStream in = new ByteArrayInputStream(data);
			ungzip = new GZIPInputStream(in);
			byte[] buffer = new byte[256];
			int n;
			while ((n = ungzip.read(buffer)) >= 0) {
				out.write(buffer, 0, n);
			}
			return out.toByteArray();
		} finally {
			IOUtils.closeQuietly(ungzip);
		}
	}

	public static void main(String[] args) throws Exception {
		String data = "111222333";
		String gzipData = Base64.encodeBase64String(gzip(data.getBytes()));
		System.out.println(gzipData);

		String ugzipData = new String(unGzip(Base64.decodeBase64(gzipData)));
		System.out.println(ugzipData);
	}

}
