package com.huifu.jh.payout.model;

import com.huifu.jh.core.model.ParamCallbackMessage;
import org.apache.commons.lang.StringUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author fang.wei
 * @Description 余额支付异步通知
 * @createTime 2021年10月28日 12:18:00
 */
public class GcbAccTransferApplyResult extends ParamCallbackMessage {

    /**
     * 网关版本
     */
    private String version;

    /**
     * 签名类型
     */
    private String signType;

    /**
     * 请求时间
     */
    private String requestTime;

    /**
     * 商户会员号
     */
    private String merchantAcctId;

    /**
     * 终端号
     */
    private String terminalId;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 付款币种
     */
    private String payCur;

    /**
     * 总笔数
     */
    private String payTCnt;

    /**
     * 总金额
     */
    private String payTAmt;

    /**
     * 扩展字段1
     */
    private String ext1;

    /**
     * 扩展字段2
     */
    private String ext2;

    /**
     * 结果通知地址
     */
    private String noticeUrl;

    /**
     * 交易结果
     * 1-全部成功 2-全部失败 3-部分成功
     */
    private String status;

    /**
     * 支付明细
     */
    private String details;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(String requestTime) {
        this.requestTime = requestTime;
    }

    public String getMerchantAcctId() {
        return merchantAcctId;
    }

    public void setMerchantAcctId(String merchantAcctId) {
        this.merchantAcctId = merchantAcctId;
    }

    public String getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getPayCur() {
        return payCur;
    }

    public void setPayCur(String payCur) {
        this.payCur = payCur;
    }

    public String getPayTCnt() {
        return payTCnt;
    }

    public void setPayTCnt(String payTCnt) {
        this.payTCnt = payTCnt;
    }

    public String getPayTAmt() {
        return payTAmt;
    }

    public void setPayTAmt(String payTAmt) {
        this.payTAmt = payTAmt;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getNoticeUrl() {
        return noticeUrl;
    }

    public void setNoticeUrl(String noticeUrl) {
        this.noticeUrl = noticeUrl;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    @Override
    public String[] getSignParamNames() {
        return new String[] {"version","signType","requestTime","merchantAcctId","terminalId","batchNo","payCur","payTCnt","payTAmt","ext1","ext2","noticeUrl","status","details"};
    }

    public List<GcbAccTransferApplyResultDetail> getDetailList() {
        if (StringUtils.isBlank(details)) {
            return null;
        }

        List<GcbAccTransferApplyResultDetail> list = new ArrayList<>();
        String[] detailLines = details.split(";");
        for (String line : detailLines) {
            String[] fields = line.split("\\|", -1);
            GcbAccTransferApplyResultDetail detail = new GcbAccTransferApplyResultDetail();
            detail.setTransNo(trim(fields[0]));
            detail.setOrderId(trim(fields[1]));

            if (fields.length > 2) {
                detail.setErrorMsg(trim(fields[2]));
            }
            list.add(detail);
        }
        return list;
    }

    private String trim(String val) {
        if (StringUtils.isBlank(val)) {
            return null;
        }

        return val.trim();
    }

}