package com.huifu.jh.payout.model;

import com.huifu.jh.core.model.ParamRequest;

import java.util.HashMap;
import java.util.Map;

/**
 * @author fang.wei
 * @Description 余额支付结果查询请求
 * @createTime 2021年10月28日 12:25:00
 */
public class GcbAccTransferQueryRequest implements ParamRequest<GcbAccTransferQueryResponse> {

    /**
     * 网关版本 固定值：1
     * 必填
     */
    private String version = "1";

    /**
     * 签名类型 固定值：4。RSA加签
     * 必填
     */
    private String signType = "4";

    /**
     * 请求流水号 商户系统中唯一性ID
     * 必填
     */
    private String requestId;

    /**
     * 请求时间 yyyyMMddHHmmss
     * 必填
     */
    private String requestTime;

    /**
     * 商户号 会员账号，由我司提供的商户号+01，共13位数字
     * 必填
     */
    private String merchantAcctId;

    /**
     * 终端号 由我司提供
     * 必填
     */
    private String terminalId;

    /**
     * 原付款批次号 商户系统中唯一标识该笔批次
     * 必填
     */
    private String origbatchNo;

    /**
     * 原付款明细流水号 关联明细字段的唯一流水号
     * 必填
     */
    private String origtransNo;

    /**
     * 原批次申请日期 为批次申请提交的日期 格式：yyyyMMdd例如：20180920
     * 必填
     */
    private String origApplyDate;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(String requestTime) {
        this.requestTime = requestTime;
    }

    public String getMerchantAcctId() {
        return merchantAcctId;
    }

    public void setMerchantAcctId(String merchantAcctId) {
        this.merchantAcctId = merchantAcctId;
    }

    public String getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    public String getOrigbatchNo() {
        return origbatchNo;
    }

    public void setOrigbatchNo(String origbatchNo) {
        this.origbatchNo = origbatchNo;
    }

    public String getOrigtransNo() {
        return origtransNo;
    }

    public void setOrigtransNo(String origtransNo) {
        this.origtransNo = origtransNo;
    }

    public String getOrigApplyDate() {
        return origApplyDate;
    }

    public void setOrigApplyDate(String origApplyDate) {
        this.origApplyDate = origApplyDate;
    }

    @Override
    public String getMerchantId() {
        return merchantAcctId;
    }

    @Override
    public Class<GcbAccTransferQueryResponse> getResponseClass() {
        return GcbAccTransferQueryResponse.class;
    }

    @Override
    public String[] getSignParamNames() {
        return new String[] {"version","signType","requestId","requestTime","merchantAcctId","terminalId","origbatchNo","origtransNo","origApplyDate"};
    }

    @Override
    public Map<String, String> getRequestData() {
        Map<String, String> requestData = new HashMap<>();
        requestData.put("version", version);
        requestData.put("signType", signType);
        requestData.put("requestId", requestId);
        requestData.put("requestTime", requestTime);
        requestData.put("merchantAcctId", merchantAcctId);
        requestData.put("terminalId", terminalId);
        requestData.put("origbatchNo", origbatchNo);
        requestData.put("origtransNo", origtransNo);
        requestData.put("origApplyDate", origApplyDate);
        return requestData;
    }

}