package com.huifu.jh.payout.model;

import com.huifu.jh.core.model.ParamResponse;

/**
 * @author fang.wei
 * @Description 用户提现结果查询响应
 * @createTime 2021年10月28日 00:01:00
 */
public class GcbUserAgcyPaymentQueryResponse extends ParamResponse {

    /**
     * 版本号
     */
    private String version;

    /**
     * 签名方式
     */
    private String signType;

    /**
     * 请求流水号
     */
    private String requestId;

    /**
     * 请求时间
     */
    private String requestTime;

    /**
     * 商户会员号
     */
    private String merchantAcctId;

    /**
     * 终端号
     */
    private String terminalId;

    /**
     * 提现批次号
     */
    private String batchNo;

    /**
     * 提现明细流水号
     */
    private String remitNo;

    /**
     * 原批次申请时间 原批次申请时间，格式：yyyyMMddHHmmss 例如：20180503124565
     */
    private String applyTime;

    /**
     * 币别 默认：CNY
     */
    private String cur;

    /**
     * 金额 格式为实际金额扩大100倍提交。如1000,表示10元
     */
    private String amt;

    /**
     * 手续费 手续费。格式为实际金额扩大100倍提交。如1000,表示10元
     */
    private String feeAmt;

    /**
     * 银行编码
     */
    private String bankId;

    /**
     * 账户类型
     */
    private String acctType;

    /**
     * 到账时效
     */
    private String timeType;

    /**
     * 收款账户
     */
    private String bankAcct;

    /**
     * 收款人姓名
     */
    private String payeeName;

    /**
     * 收款人证件类型
     */
    private String payeeIdType;

    /**
     * 收款人证件号
     */
    private String payeeIdNo;

    /**
     * 省份
     */
    private String province;

    /**
     * 城区
     */
    private String city;

    /**
     * 支行名称
     */
    private String bankBranch;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 业务参考号
     */
    private String refNo;

    /**
     * 扩张字段1
     */
    private String ext1;

    /**
     * 扩张字段2
     */
    private String ext2;

    /**
     * 出款用户号
     */
    private String userId;

    /**
     * 收款行联行号
     */
    private String cnapsNo;

    /**
     * 状态 0.请求参数错误，1.处理中，2.提现成功，3.提现失败，4.交易不存在
     */
    private String status;

    /**
     * 错误码 当STATUS为0、3、4时返回
     */
    private String errorCode;

    /**
     * 错误描述 当STATUS为0、3、4时返回
     */
    private String errorMsg;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(String requestTime) {
        this.requestTime = requestTime;
    }

    public String getMerchantAcctId() {
        return merchantAcctId;
    }

    public void setMerchantAcctId(String merchantAcctId) {
        this.merchantAcctId = merchantAcctId;
    }

    public String getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getRemitNo() {
        return remitNo;
    }

    public void setRemitNo(String remitNo) {
        this.remitNo = remitNo;
    }

    public String getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(String applyTime) {
        this.applyTime = applyTime;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public String getAmt() {
        return amt;
    }

    public void setAmt(String amt) {
        this.amt = amt;
    }

    public String getFeeAmt() {
        return feeAmt;
    }

    public void setFeeAmt(String feeAmt) {
        this.feeAmt = feeAmt;
    }

    public String getBankId() {
        return bankId;
    }

    public void setBankId(String bankId) {
        this.bankId = bankId;
    }

    public String getAcctType() {
        return acctType;
    }

    public void setAcctType(String acctType) {
        this.acctType = acctType;
    }

    public String getTimeType() {
        return timeType;
    }

    public void setTimeType(String timeType) {
        this.timeType = timeType;
    }

    public String getBankAcct() {
        return bankAcct;
    }

    public void setBankAcct(String bankAcct) {
        this.bankAcct = bankAcct;
    }

    public String getPayeeName() {
        return payeeName;
    }

    public void setPayeeName(String payeeName) {
        this.payeeName = payeeName;
    }

    public String getPayeeIdType() {
        return payeeIdType;
    }

    public void setPayeeIdType(String payeeIdType) {
        this.payeeIdType = payeeIdType;
    }

    public String getPayeeIdNo() {
        return payeeIdNo;
    }

    public void setPayeeIdNo(String payeeIdNo) {
        this.payeeIdNo = payeeIdNo;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getRefNo() {
        return refNo;
    }

    public void setRefNo(String refNo) {
        this.refNo = refNo;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getCnapsNo() {
        return cnapsNo;
    }

    public void setCnapsNo(String cnapsNo) {
        this.cnapsNo = cnapsNo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    @Override
    public boolean needCheckSign() {
        return true;
    }

    @Override
    public String[] getSignParamNames() {
        return new String[] {"acctType","amt","applyTime","bankAcct","bankBranch","bankId","batchNo","city","cnapsNo","errorCode","errorMsg","feeAmt","merchantAcctId","payeeIdNo","payeeIdType","payeeName","province","refNo","remitNo","requestId","requestTime","signType","status","terminalId","userId","version"};
    }

    @Override
    public String toString() {
        return "GcbUserAgcyPaymentQueryResponse{" +
                "version='" + version + '\'' +
                ", signType='" + signType + '\'' +
                ", requestId='" + requestId + '\'' +
                ", requestTime='" + requestTime + '\'' +
                ", merchantAcctId='" + merchantAcctId + '\'' +
                ", terminalId='" + terminalId + '\'' +
                ", batchNo='" + batchNo + '\'' +
                ", remitNo='" + remitNo + '\'' +
                ", applyTime='" + applyTime + '\'' +
                ", cur='" + cur + '\'' +
                ", amt='" + amt + '\'' +
                ", feeAmt='" + feeAmt + '\'' +
                ", bankId='" + bankId + '\'' +
                ", acctType='" + acctType + '\'' +
                ", timeType='" + timeType + '\'' +
                ", bankAcct='" + bankAcct + '\'' +
                ", payeeName='" + payeeName + '\'' +
                ", payeeIdType='" + payeeIdType + '\'' +
                ", payeeIdNo='" + payeeIdNo + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", bankBranch='" + bankBranch + '\'' +
                ", purpose='" + purpose + '\'' +
                ", refNo='" + refNo + '\'' +
                ", ext1='" + ext1 + '\'' +
                ", ext2='" + ext2 + '\'' +
                ", userId='" + userId + '\'' +
                ", cnapsNo='" + cnapsNo + '\'' +
                ", status='" + status + '\'' +
                ", errorCode='" + errorCode + '\'' +
                ", errorMsg='" + errorMsg + '\'' +
                '}';
    }
}